function addflower(reviewid, number) {
  if (!is_numeric(reviewid)) {
    alert('无效的点评ID');
    return;
  }
  $.post(siteurl+'ajax.php', { action:"addflower", reviewid:reviewid }, function(result) {
    if (result.length > 0) {
		myAlert(result);
    } else {
      $('#flower_'+reviewid).text(number+1);
    }
  });
}

function show_report(reviewId) {
	$.get(siteurl+'ajax.php', {action:"report",reviewid:reviewId}, function(result){
		if(result == null) {
			alert('信息读取失败，可能网络忙碌，请稍后尝试。');
		} else if(result.match(/<form.+onsubmit="return post_report\(\);".*>/)) {
			result += '<iframe style="display:none" src="" name="ifreport" id="ifreport"></iframe>';
			myDialog('举报不规范信息', result, 400, 260);
		} else {
			myAlrty(result);
		}
	});
}

function post_report() {
	var form = document.frmreport;
	if(form.username && form.username.value.length == 0){
		alert('请填写您的昵称。');
		return false;
	}
	if(form.email && form.email.value.length == 0){
		alert('请输入您的电子邮件地址。');
		return false;
	}else if(form.email && !is_email(form.email.value)) {
		alert('您输入的电子邮件地址格式不正确。');
		return false;
	}
	var sort = getRadio(form, 'sort');
	if(form.sort.value == '') {
		alert('您选择举报类型。');
		return false;
	}
	if(form.content.value.length > 200){
		alert('您填写的举报说明文字过多(200字以内)，请精简一下您的举报说明。');
		return false;
	}
	if(!is_numeric(form.reviewid.value)){
		alert('无法确定举报对象。');
		return false;
	}

	return true;
}

function show_upshop(shopid) {
	$.get(siteurl+'ajax.php',{ action:"upshopinfo",shopid:shopid },function(result){
		if(result == null) {
			alert('信息读取失败，可能网络忙碌，请稍后尝试。');
		} else if(result.match(/<form.+onsubmit="return post_upshop\(\);".*>/)) {
			result += '<iframe style="display:none" src="" name="ifupshopinfo" id="ifupshopinfo"></iframe>';
			myDialog('补充商铺信息', result, 380, 230);
		} else {
			myAlert(result);
		}
	});
}

function post_upshop() {

	var form = document.frmupshop;
	var upshopmap = form.target == 'ifupshopmap';

	if(form.username && form.username.value.length == 0) {
		alert('请填写您的昵称。');
		return false;
	}
	if(form.email && form.email.value.length == 0) {
		alert('请输入您的电子邮件地址。');
		return false;
	} else if(form.email && !is_email(form.email.value)) {
		alert('您输入的电子邮件地址格式不正确。');
		return false;
	}
	if(upshopmap && (form.lng.value.length == 0 || form.lat.value.length == 0)) {
		alert('未标注商铺地图。');
		return false;
	} else if(upshopmap && (form.lng.value.trim() == '' || form.lat.value.trim() == '')) {
		alert('未标注商铺地图。');
		return false;
	} else if(upshopmap && (!form.lng.value.match(/^[A-Za-z0-9\.\-]+$/) || !form.lat.value.match(/^[A-Za-z0-9\.\-]+$/))) {
		alert('无效的未标值。');
		return false;
	}
	if(form.content.value.length == 0) {
		alert('请填写补充说明文字。');
		return false;
	} else if(form.content.value.length > 300) {
		alert('您填写的说明文字过多(300字以内)，请精简一下您的说明。');
		return false;
	}
	if(!is_numeric(form.shopid.value)){
		alert('无法确定补充对象(商铺)。');
		return false;
	}
	
	return true;

}

function show_upshopmap (shopid) {
	$.get(siteurl+'ajax.php',{ action:"upshopmap",shopid:shopid },function(result){
		if(result == null) {
			alert('信息读取失败，可能网络忙碌，请稍后尝试。');
		} else if(result.match(/<form.+onsubmit="return post_upshop\(\);".*>/)) {
			result += '<iframe style="" src="" name="ifupshopmap" id="ifupshopmap"></iframe>';
			myDialog('地图标注更新', result, 800, 820);
		} else {
			myAlert(result);
		}
	});
}

function user_effect(keyid,idtype,effect,effectaction,getuser) {
  $.post(siteurl+'ajax.php', { action:"usereffect", keyid:keyid, idtype:idtype, effect:effect, effectaction:effectaction }, function(result) {
    if (result.match(/^[0-9]+$/)) {
        $('#num_'+effect).html(result);
		if(getuser) user_effect(keyid,idtype,effect,'getusers');
	} else if(result.match(/^<a\s+href=\"http/)) {
		$('#users_'+effect).html(result);
	} else if(result == 'clear') {
		$('#users_'+effect).html('暂无信息。');
    } else if(result != 'keep') {
		myAlert(result);
    }
  });
}